.flex-image{
  position: relative;
  width: 100%;
  background-position: center;
  background-repeat: no-repeat;
  z-index: 1;
  font-size: 0;
}

.flex-img-wrap{
  width: 100%;
}

.flex-image-inner-wrap{
  overflow: hidden;
  text-align: center;
}

.is-preview .flex-image-inner-wrap .grid-item .image-item{position: relative;height: auto; margin: initial;font-size:0;}
.flex-image-inner-wrap .grid-item .image-item{font-size:0;}

.flex-image-inner-wrap .grid-item h2,.is-preview .flex-image-inner-wrap .grid-item h2, 
.flex-image-inner-wrap .grid-item h3,.is-preview .flex-image-inner-wrap .grid-item h3,
.flex-image-inner-wrap .grid-item h4,.is-preview .flex-image-inner-wrap .grid-item h4,
.flex-image-inner-wrap .grid-item h5,.is-preview .flex-image-inner-wrap .grid-item h5,
.flex-image-inner-wrap .grid-item h6,.is-preview .flex-image-inner-wrap .grid-item h6
{margin-top: 20px;margin-bottom: 0;}
.flex-image-inner-wrap .grid-item p, .is-preview .flex-image-inner-wrap .grid-item p{margin: 0;}


.flex-image-grid-2, .is-preview .flex-image-grid-2{
display: grid;

}

.flex-image-grid-3, .is-preview .flex-image-grid-3{
display: grid;
grid-template-columns: repeat(3,1fr);
}

.flex-image-grid-4, .is-preview .flex-image-grid-4{
display: grid;
grid-template-columns: repeat(4,1fr);
}

.flex-image-grid-5, .is-preview .flex-image-grid-5{
display: grid;
grid-template-columns: repeat(6,1fr);

}

.flex-image-grid-6, .is-preview .flex-image-grid-6{
display: grid;
grid-template-columns: repeat(6,1fr);

}

.flex-image-wrap img{width: 100%;}

.rectangle-img{
position: relative;
padding-top:70%;
}

.rectangle-img img, .square-img img{
position: absolute;
top: 0;
left: 0;
width: 100%;
height: 100%;
object-fit: cover;
object-position: center;
}

.square-img{
position: relative;
padding-top:100%;
}

.image-item img, .is-preview .image-item img{
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: center;
}

.image-item.contain-img  img,.is-preview .image-item.contain-img  img{
 object-fit: contain;
}


.masonry-grid .image-item img, .is-preview .masonry-grid .image-item img{
  position: absolute;
  top: 0;
  left: 0;
}


.masonry-grid.masonry-left, .is-preview .masonry-grid.masonry-left{
  grid-template-columns: 27% 73%;
  grid-gap: 5px 5px;
}

.masonry-grid.masonry-left .grid-item:nth-child(even), .is-preview .masonry-grid.masonry-left .grid-item:nth-child(even){
  grid-row-end: span 2;
  height: auto !important;
}

.masonry-grid.masonry-left .grid-item:nth-child(odd) .image-item, .is-preview .masonry-grid.masonry-left .grid-item:nth-child(odd) .image-item {
padding-top: 100% !important;
}

.masonry-grid.masonry-right, .is-preview .masonry-grid.masonry-right{
  grid-template-columns: 73% 27%;
  grid-gap: 5px 5px;
}

.masonry-grid.masonry-right .grid-item:nth-child(1), .is-preview .masonry-grid.masonry-right .grid-item:nth-child(1) {
  grid-row-end: span 2;
  height: auto !important;
}

.masonry-grid.masonry-right .grid-item:nth-child(2) .image-item, .masonry-grid.masonry-right .grid-item:nth-child(3) .image-item, .is-preview .masonry-grid.masonry-right .grid-item:nth-child(2) .image-item, .is-preview .masonry-grid.masonry-right .grid-item:nth-child(3) .image-item {
padding-top: 100% !important;
}

.before-after-img{padding-top: 65.6%!important;width:100%!important;}
.before-after-img .before-after{
height: 100%!important;
    width: 100%;
    position: absolute;
    top: 0;
}
.before-after div{top: 0;}
.before-after-img img{width: auto;}
.cndkbeforeafter-container{
	z-index: 2;
}

.cndkbeforeafter-item-before-text, .cndkbeforeafter-item-after-text,.cndkbeforeafter-seperator{
	z-index: 3;
}

.cndkbeforeafter-theme-dark .cndkbeforeafter-seperator {
    background: #EE4B9D!important;
}

.cndkbeforeafter-theme-dark .cndkbeforeafter-seperator>div>span {
    border-color: #EE4B9D!important;
    background: #EE4B9D!important;
}

.cndkbeforeafter-seperator>div>span::before{
	 border: solid #ffffff;
	border-width: 7px 0 0 7px;
}


.cndkbeforeafter-seperator>div>span::after{
	    border: solid #ffffff;
	border-width: 0 7px 7px 0;
}

.ba-text{
	color: #EE4B9D;
	font-size: 30px;
	display: flex;
	align-items: center;
}

@media only screen 
    and (min-width: 0px) 
    and (max-width: 768px) 
{ 
.flex-image{position: relative!important; width:100%!important; top: 0!important; height: auto !important;}
.flex-image-grid-2, .flex-image-grid-3, .flex-image-grid-4, .flex-image-grid-5, .flex-image-grid-6{
  grid-template-columns: 100% !important;
  grid-gap: 30px 4%;
}
.masonry-grid.masonry-right,.masonry-grid.masonry-left{
  grid-template-columns: 100%;
}
.masonry-grid .image-item img, .is-preview .masonry-grid .image-item img{
  position: relative;top: 0;left: 0;
}

	
.rectangle-img, .square-img{
padding-top:0;
}

.rectangle-img img, .square-img img{
position: relative;
top: 0;
left: 0;
width: 100%;
height: 100%;
object-fit: cover;
object-position: center;
}

	.masonry-grid .grid-item{
  height: auto !important;
}
.masonry-grid.masonry-left .grid-item:nth-child(odd) .image-item, .is-preview .masonry-grid.masonry-left .grid-item:nth-child(odd) .image-item, .masonry-grid.masonry-right .grid-item:nth-child(2) .image-item, .masonry-grid.masonry-right .grid-item:nth-child(3) .image-item {
    padding-top: initial!important;
}

	
.ba-text{font-size: 3vw;}
}